# ServiceRequest read

`GET /ServiceRequest/{id}`

This resource contains a request for patient services like treatment(s), operation(s), consulting, skilled nursing, or other medical-related service(s). 

For standard FHIR, you can review, retrieve, create, update, or cancel service requests. 

For <u>**360X**</u> workflows, you can submit, accept, decline, complete, or cancel referral requests for systems that use the 360X standard.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `ServiceRequest` resource with details about an order for healthcare services.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | ServiceRequest identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/ServiceRequest/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The ServiceRequest

A profile on the Service Request resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: ServiceRequest |
| `status` | string | Yes | The status of the order. Possible values: draft, active, on-hold, revoked, completed, entered-in-error, unknown |
| `_status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `_status.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `_status.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `_status.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `_status.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `_status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `_status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `_status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `_status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `_status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `_status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `_status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `_status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `_status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `_status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `_status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `_status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `_status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `_status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `_status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `_status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `_status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `intent` | string | Yes | Whether the request is a proposal, plan, an original order or a reflex order. Possible values: proposal, plan, directive, order, original-order, reflex-order, filler-order, instance-order, option |
| `subject` | object | Yes | On whom or what the service is to be performed. This is usually a human patient, but can also be requested on animals, groups of humans or animals, devices such as dialysis machines, or even locations (typically for environmental scans). Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | Identifiers assigned to this order instance by the orderer and/or the receiver and/or order fulfiller. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `category` | Array of planOfCareType or Other | No | A code that classifies the service for searching, sorting and display purposes (e.g. "Surgical Procedure"). |
| `category[] (planOfCareType).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category[] (planOfCareType).coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: urn:redox:plan_of_care_type |
| `category[] (planOfCareType).coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Possible values: Orders, Services, Procedures |
| `category[] (planOfCareType).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category[] (Other).coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `category[] (Other).coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `category[] (Other).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `code` | object | No | A code that identifies a particular service (i.e., procedure, diagnostic investigation, or panel of investigations) that have been requested. |
| `code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `encounter` | object | No | An encounter that provides additional information about the healthcare context in which this request is made. Must be a resource of type `Encounter`. |
| `encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `authoredOn` | string | No | When the request transitioned to being actionable. |
| `requester` | object | No | The individual who initiated the request and has responsibility for its activation. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `Organization` - `Patient` - `RelatedPerson` - `Device` |
| `requester.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `occurrenceDateTime` | string | No | The date/time at which the requested service should occur. |

#### Sputum Culture

```json
{
  "resourceType": "ServiceRequest",
  "id": "RedoxServiceRequestExamplePlanOfCareOrder",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "8567903823"
    }
  ],
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "encounter": {
    "reference": "Encounter/RedoxEncompassingEncounterExample"
  },
  "occurrenceDateTime": "2012-08-20T05:00:00.000Z",
  "status": "active",
  "_status": {
    "extension": [
      {
        "url": "http://hl7.org/fhir/StructureDefinition/originalText",
        "valueString": "Request"
      }
    ]
  },
  "category": [
    {
      "coding": [
        {
          "code": "Orders",
          "system": "urn:redox:plan_of_care_type"
        }
      ]
    }
  ],
  "code": {
    "coding": [
      {
        "code": "624-7",
        "system": "http://snomed.info/sct",
        "display": "Sputum Culture"
      }
    ]
  },
  "intent": "plan"
}
```

#### Chest X-Ray

```json
{
  "resourceType": "ServiceRequest",
  "id": "RedoxServiceRequestExamplePlanOfCareProcedure",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "8917531489"
    }
  ],
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "encounter": {
    "reference": "Encounter/RedoxEncompassingEncounterExample"
  },
  "occurrenceDateTime": "2022-02-08T19:00:00.000Z",
  "status": "completed",
  "_status": {
    "extension": [
      {
        "url": "http://hl7.org/fhir/StructureDefinition/originalText",
        "valueString": "Request"
      }
    ]
  },
  "category": [
    {
      "coding": [
        {
          "code": "Procedures",
          "system": "urn:redox:plan_of_care_type"
        }
      ]
    }
  ],
  "code": {
    "coding": [
      {
        "code": "168731009",
        "system": "http://snomed.info/sct",
        "display": "Chest X-Ray"
      }
    ]
  },
  "intent": "plan"
}
```

#### Caregiver

```json
{
  "resourceType": "ServiceRequest",
  "id": "RedoxServiceRequestExamplePlanOfCareService",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "7389245845"
    }
  ],
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "status": "active",
  "_status": {
    "extension": [
      {
        "url": "http://hl7.org/fhir/StructureDefinition/originalText",
        "valueString": "Intent"
      }
    ]
  },
  "category": [
    {
      "coding": [
        {
          "code": "Services",
          "system": "urn:redox:plan_of_care_type"
        }
      ]
    }
  ],
  "code": {
    "coding": [
      {
        "code": "427519008",
        "system": "urn:oid:2.16.840.1.113883.11.20.9.34",
        "display": "Caregiver"
      }
    ]
  },
  "intent": "plan"
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
